
Redmine - Feature #11551

REST-API: Admine can create time entries for other users

2012-07-31 16:49 - Hannes Meier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be useful if a Admin-account could add spent time for other users via the rest api.

We are using Redmine together with a Programm and just send information over rest-api to automaticaly save informations in tickets.

If i want to automatically create time-entries for tickets i would need a API-Key for every user at the moment.

The possibility to create a time entry for a special "user_id" would be great.

Related issues:

Is duplicate of Redmine - Feature #11755: Impersonate user through REST API auth Closed

History

#1 - 2012-08-07 09:12 - Rachid B

+1 useful!

We use Request Tracker for first-level-support and redmine as a project management.

It would be useful for us, if we can push the time-entries from Request Tracker to redmine.

#2 - 2012-11-05 13:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Solved by #11755.
